Subject: bug#15973: 24.3.50; Cursor switching brutally several lines at a time with next/previous-line

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 26 Nov 2013 09:27:48 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Date: Mon, 25 Nov 2013 15:24:18 +0100
>> 
>> since some days, after working some time in a buffer (undefined), 
>> when using C-n/p or arrows up/down my cursor is jumping several lines at
>> a time, sometimes 2 lines sometimes 5 or more, it is undefined.
>
> Can you try to figure out when this started to appear, or (better)
> bisect it?

Not yet.

>> After killing the buffer the bug disappear, but come back after some
>> time.
>
> I suspect this is related to cache-long-scans being non-nil.  Try
> setting it to nil and see if the problem disappears.  If it does, do
> try bisecting or finding a reproducible recipe.

I could reproduce it several times now:

In a emacs repo handled by git:

1) Apply a stash or make some changes.(I use here cl-macs.el)

2) make some more changes, save buffer twice or more.

3) C-x v u (revert changes)

Now in the zone where the changes was, cursor is jumping several lines
when doing C-n/p.

Indeed, if I set cache-long-scans to nil, and reproduce exactly the same recipe,
the bug is not happening.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997